# vcf-to-varda

Pipeline to pre-process vcf and gvcf files and submit them to varda.lumc.nl.

## Environment

```
# Set up and activate your conda environment.
# Install the dependencies
conda env create -f environment.yml

# Activate the conda environment
conda activate vcf-to-varda
```

## Token

Requires a varda token in the `VARDA_TOKEN` environment variable.

## Input file

```
{"samples": {
    "local_sample_1": {
        "disease_code": "TEST",
        "gvcf": "/path/to/local_sample_1.g.vcf.gz",
        "vcf": "/path/to/local_sample_1.vcf.gz"
    },
    "local_sample_2": {
        "disease_code": "TEST",
        "gvcf": "/path/to/local_sample_2.g.vcf.gz",
        "vcf": "/path/to/local_sample_2.vcf.gz"
    }
}
```
    
